<template>
<div class="absolute top-0 left-0 w-full h-full z-50">
  <div class="absolute top-1/2 left-1/2 transform -translate-y-1/2 -translate-x-1/2 bg-blue-500 text-white rounded-full pt-6 pb-5 px-8 z-50">
    <span class="transform inline-block" style="transform: translateY(-0.15em)"><Icon :style="{ fontSize: '1.6em' }" type="loading-3-quarters" spin/></span> <span class="ml-3 inline-block text-button">
      <span v-if="label">{{label}}</span>
      <span v-else>Loading</span>
    </span>
  </div>
</div>
</template>

<script src='./loading.js' />